> For the complete documentation index, see [llms.txt](https://docs.aurowallet.com/general/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestaccounts.md).

# mina\_requestAccounts

This method is used to request the current connect account. If there is a connected account, the connected account will be returned. If not, a popup window will show to request a connection.

### Params

null

### Result

```typescript
interface ProviderError extends Error {
    message: string; // error message.
    code: number; // error code.
    data?: unknown; // error body. 
}

// string[] will contain the connected account address.
Promise<string[] | ProviderError>
```

### Error

<table><thead><tr><th></th><th width="332.3333333333333"></th><th></th></tr></thead><tbody><tr><td>1002</td><td>The request was rejected by the user.</td><td></td></tr><tr><td>20001</td><td>No account found.</td><td>Need create or restore account in Auro Wallet first.</td></tr><tr><td>23001</td><td>Origin dismatch.</td><td>Check origin safe.</td></tr></tbody></table>

## Example

### Request

```typescript
await window.mina.requestAccounts().catch((err: any) => err);
```

### Result

```typescript
// user reject.
{
  "code": 1002,
  "message": "User rejected the request. "
}

// successful result.
[
  "B62qpjxUpgdjzwQfd8q2gzxi99wN7SCgmofpvw27MBkfNHfHoY2VH32"
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestaccounts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
